---
lang: en
title: 'API docs: logging.loggingcomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.loggingcomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md) &gt; [LoggingComponent](./logging.loggingcomponent.md) &gt; [(constructor)](./logging.loggingcomponent._constructor_.md)

## LoggingComponent.(constructor)

Constructs a new instance of the `LoggingComponent` class

**Signature:**

```typescript
constructor(loggingConfig: LoggingComponentConfig | undefined);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  loggingConfig | [LoggingComponentConfig](./logging.loggingcomponentconfig.md) \| undefined |  |


